
Name: lxqt-kcm-integration
Version: 0.0.1
Release: %mkrel 6
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: KCM integration into LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#--------------------------------------
BuildRequires:  cmake
BuildRequires:  lxqt-build-tools >= 0.7.0
Requires:		kde-cli-tools
Requires:		kwin
Requires:		kinfocenter
Requires:		plasma-desktop
Requires:		bluedevil
Requires:		qtgraphicaleffects5
Requires:		qtquickcontrols5
Requires:		qtquickcontrols25
Requires:		kirigami

%description
KCM integration into LXQt

This is the KDE window manager application for PCLXQt. It display 
the most required applications in the LXQt Configuration Center. 

You must logout, to get the new window manager running!

%prep
%setup -q %{name}-%{version}

%cmake_qt5 


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build


%posttrans
echo "Please restart your session, to get the new window manager running"

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do if [ -e /home/$idx/.config/lxqt/session.conf ]; then
perl -pi -e "s|window_manager=openbox|window_manager=kwin_x11|g" /home/$idx/.config/lxqt/session.conf
fi
done

%files
%{_datadir}/applications/lxqt-kcmshell5-appearance.desktop
%{_datadir}/applications/lxqt-kcmshell5-bluetooth.desktop
%{_datadir}/applications/lxqt-kcmshell5-kwinsettings.desktop
%{_datadir}/applications/lxqt-kcmshell5-systeminfo.desktop



%changelog
* Wed Feb 15 2023 tex - 0.0.1-6pclos2023
- rebuild against updates

* Mon Sep 19 2022 tex - 0.0.1-5pclos2022
- rebuild against updates

* Fri Apr 23 2021 daniel <> 0.0.1-4pclos2021
- adjust bluetooth.desktop file

* Sat Sep 12 2020 tex - 0.0.1-3pclos2020
- rebuild against updates

* Tue Jul 07 2020 daniel <meisssw01 at gmail.com> 0.0.1-2pclos2020
- added missing Requires, may there some more missing...

* Mon May 11 2020 daniel <meisssw01 at gmail.com> 0.0.1-1pclos2020
- import into pclos
